> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/inputs/add-credentials-input.md).

# addCredentialsInput

Input object for adding connector credentials.

### Examples

```graphql
input AddCredentialsInput {
  connectorID: String!
  hostURL: String
  credentialsType: CredentialsType!
  credentialsInput: CredentialsInput!
  credentialsName: String
  isCertChecksDisabled: Boolean
}
```

### Fields

| Field                                                                                                                      | Description                                        | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| -------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| connectorID `String!`                                                                                                      | ID of the connector we wish to enable              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| hostURL `String`                                                                                                           | Connector host URL                                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| credentialsType [`CredentialsType!`](/api-documentation/api-reference/api--connectors/types/enums/credentials-type.md)     | Connector CredentialsType                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| credentialsInput [`CredentialsInput!`](/api-documentation/api-reference/api--connectors/types/inputs/credentials-input.md) | Credentials input provided                         | <p>name <code>String</code><br>password <code>String</code><br>token <code>String</code><br>clientId <code>String</code><br>secretKey <code>String</code><br>awsRoleArn <code>String</code><br>awsExternalId <code>String</code><br>awsAccessKey <code>String</code><br>awsAccessSecret <code>String</code><br>tenant <code>String</code><br>idpToken <a href="/pages/6Z8R3sdKIAQrFBVkmoiM"><code>IDPTokenInput</code></a><br>projectId <code>String</code><br>installationId <code>Int</code><br>installationToken <a href="/pages/UXLCuJXCLgpuY2P92oqb"><code>GitHubAppInstallationTokenInput</code></a><br>gitHubAppOxId <code>String</code><br>apiAccessKey <code>String</code><br>apiSecretKey <code>String</code><br>clientSecret <code>String</code><br>subscriptionId <code>String</code><br>tenantId <code>String</code><br>organizationId <code>String</code><br>apiKey <code>String</code><br>optionalFields <a href="/pages/11ljYJuLGpJTMMf3UlQ2"><code>OptionalFieldsInput</code></a><br>extraOptionalCreds <a href="/pages/FG6xD5yAIN7MvNeBA39J"><code>ExtraOptionalCredsInput</code></a><br>apiUrl <code>String</code><br>deploymentName <code>String</code><br>appId <code>String</code><br>gitPassword <code>String</code><br>gitUsername <code>String</code><br>webhookUrl <code>String</code><br>hostURL <code>String</code><br>brokerUsername <code>String</code><br>brokerPassword <code>String</code><br>brokerSSHPublicKey <code>String</code><br>brokerEnabled <code>Boolean</code><br>isCertChecksDisabled <code>Boolean</code><br>cloudId <code>String</code></p> |
| credentialsName `String`                                                                                                   | The name the user wants to give to the credentials |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| isCertChecksDisabled `Boolean`                                                                                             | is credential disable cert checks                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |

### References

#### Mutations using this object:

* [<\~> addCredentials.addCredentialsInput](/api-documentation/api-reference/api--connectors/mutations/add-credentials.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/inputs/add-credentials-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
